#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	boolean
Summary:	boolean - Boolean support for Perl
Name:		perl-boolean
Version:	0.46
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/I/IN/INGY/boolean-%{version}.tar.gz
# Source0-md5:	2a0d94fd6f5e01bac6b48536d3cd7197
URL:		http://search.cpan.org/dist/boolean/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides basic Boolean support, by defining two special
objects: true and false.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-boolean.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8084d22
- up to 0.46

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 284aadc
- up to 0.28

* Fri Jul 01 2011 marti <marti@pld-linux.org> 621430d
- up to 0.27

* Mon Jan 24 2011 Caleb Maclennan <caleb@alerque.com> a43cfbe
- Up to 0.26

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> 2f23c25
- Up to 0.25

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> d5e5c67
- Up to 0.23

* Thu Feb 26 2009 radek <radek@pld-linux.org> 85190ab
- new

